#include <TinyScreen.h>
#include "SdFat.h"

TinyScreen tiny_screen = TinyScreen(TinyScreenPlus);
SdFat sd_fat;
char* file_buffer;

void setup()
{
	// Initialize SD card
	if(sd_fat.begin(10, SPI_FULL_SPEED))
	{
		SdFile file;
		if(file.open("SdFatSample/Sample.txt", O_READ))
		{
			unsigned int file_size = file.fileSize();
			file_buffer = new char[file_size + 1];
			memset(file_buffer, 0, file_size + 1);
			file.read(file_buffer, file_size);
			file.close();
		}
	}
	// Initialize screen
	tiny_screen.begin();
	tiny_screen.setBitDepth(TSBitDepth8);
	tiny_screen.setBrightness(8);
	tiny_screen.setFont(liberationSansNarrow_12ptFontInfo);
	tiny_screen.fontColor(TS_8b_White, TS_8b_Black);
}

void loop()
{
	tiny_screen.setCursor(0,0);
	tiny_screen.print(file_buffer);
}
